<?php

namespace App\Providers;

use App\View\Composers\CategoryComposer;
use App\View\Composers\CountryLocaleComposer;
use Illuminate\Support\Facades\View;
use Illuminate\Support\ServiceProvider;

class ViewServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        // Using class based composers...
        View::composer('layouts.front.navigation', CategoryComposer::class);
        View::composer('layouts.front.navigation', CountryLocaleComposer::class);

        View::composer('layouts.front.footer', CategoryComposer::class);
        View::composer('layouts.front.footer', CountryLocaleComposer::class);

        if (auth()->check()) {

        }

    }
}
